Application Exposure
44 endpoints.
Search
GET /api/v1/software/repos/search
Search Repos
Search repositories by name. Returns GitHubRepository or AzureDevOpsRepository items depending on provider.
| Parameter | In | Required | Description |
|---|---|---|---|
provider | query | yes | Repository provider (github or azuredevops) |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
search | query | yes | Search query |
Responses: 200, 400, 401, 500
Repositories
GET /api/v1/application-exposure/repositories
List Repositories
Unified list of GitHub + Azure DevOps repositories. Each item carries a vendor discriminator. Supports ?archived=true|false and ?search=
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GitHub
GET /api/v1/software/github/branches/{id}
Get Git Hub Branch
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
PATCH /api/v1/software/github/branches/{id}
Update Git Hub Branch
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: GitHubBranchUpdate
Responses: 200, 400, 401, 500
POST /api/v1/software/github/branches/{id}/scan/sast
Trigger Git Hub Sast Scan
Trigger a SAST scan for a GitHub branch
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/software/github/repos
List Git Hub Repos
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/software/github/repos/{id}
Get Git Hub Repo
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
PATCH /api/v1/software/github/repos/{id}
Update Git Hub Repo
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: GitHubRepositoryUpdate
Responses: 200, 400, 401, 500
GET /api/v1/software/github/repos/{repo_id}/branches
List Git Hub Branches
| Parameter | In | Required | Description |
|---|---|---|---|
repo_id | path | yes | repo id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
Applications
GET /api/v1/software/applications
List Applications
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
POST /api/v1/software/applications
Create Application
Request body: ApplicationCreate
Responses: 200, 400, 401, 500
DELETE /api/v1/software/applications/{id}
Delete Application
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/software/applications/{id}
Get Application
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
PATCH /api/v1/software/applications/{id}
Update Application
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: ApplicationUpdate
Responses: 200, 400, 401, 500
Applications / Environments
GET /api/v1/software/applications/{id}/environments
List Environments
List environments for an application
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
POST /api/v1/software/applications/{id}/environments
Create Environment
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: ApplicationEnvironmentCreate
Responses: 200, 400, 401, 500
DELETE /api/v1/software/applications/{id}/environments/{env_id}
Delete Environment
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
env_id | path | yes | env id identifier |
Responses: 200, 400, 401, 500
PATCH /api/v1/software/applications/{id}/environments/{env_id}
Update Environment
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
env_id | path | yes | env id identifier |
Request body: ApplicationEnvironmentUpdate
Responses: 200, 400, 401, 500
Applications / Asset Mappings
GET /api/v1/software/applications/{id}/assets
List Asset Mappings
List asset mappings for an application
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
POST /api/v1/software/applications/{id}/assets
Create Asset Mapping
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: ApplicationAssetMappingCreate
Responses: 200, 400, 401, 500
DELETE /api/v1/software/applications/{id}/assets/{mapping_id}
Delete Asset Mapping
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
mapping_id | path | yes | mapping id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/software/applications/{id}/available-assets
Search Available Assets
Search available assets to map to an application
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
Applications / Asset Rules
GET /api/v1/software/applications/cloud-tags
List Cloud Tag Keys
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/software/applications/scope-kinds
Get Scope Kinds
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/software/applications/{id}/asset-exclusions
List Asset Exclusions
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
POST /api/v1/software/applications/{id}/asset-exclusions
Create Asset Exclusion
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
DELETE /api/v1/software/applications/{id}/asset-exclusions/{exclusion_id}
Delete Asset Exclusion
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
exclusion_id | path | yes | exclusion id identifier |
Responses: 200, 400, 401, 500
POST /api/v1/software/applications/{id}/asset-links/bulk
Bulk Asset Links
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: BulkScopeRequest
Responses: 200, 400, 401, 500
GET /api/v1/software/applications/{id}/asset-rules
List Asset Rules
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
POST /api/v1/software/applications/{id}/asset-rules
Create Asset Rule
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: ApplicationAssetRuleCreate
Responses: 200, 400, 401, 500
POST /api/v1/software/applications/{id}/asset-rules/preview
Preview Asset Rule
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: ApplicationAssetRuleCreate
Responses: 200, 400, 401, 500
DELETE /api/v1/software/applications/{id}/asset-rules/{rule_id}
Delete Asset Rule
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
rule_id | path | yes | rule id identifier |
Responses: 200, 400, 401, 500
PATCH /api/v1/software/applications/{id}/asset-rules/{rule_id}
Update Asset Rule
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
rule_id | path | yes | rule id identifier |
Responses: 200, 400, 401, 500
POST /api/v1/software/applications/{id}/assets/unlink
Bulk Unlink Assets
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: ApplicationAssetBulkUnlink
Responses: 200, 400, 401, 500
Applications / Findings + Risk
GET /api/v1/software/applications/{id}/asset-vulnerabilities
List Vulnerabilities By Application
List vulnerabilities on every asset linked to an application
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/software/applications/{id}/findings
Get Application Findings
List findings for an application
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/software/applications/{id}/risk-summary
Get Application Risk Summary
Get risk summary for an application
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
Azure DevOps
GET /api/v1/software/azuredevops/branches/{id}
Get Azure Dev Ops Branch
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
PATCH /api/v1/software/azuredevops/branches/{id}
Update Azure Dev Ops Branch
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: AzureDevOpsRefUpdate
Responses: 200, 400, 401, 500
POST /api/v1/software/azuredevops/branches/{id}/scan/sast
Trigger Azure Dev Ops Sast Scan
Trigger a SAST scan for an Azure DevOps branch
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
GET /api/v1/software/azuredevops/repos
List Azure Dev Ops Repos
| Parameter | In | Required | Description |
|---|---|---|---|
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500
GET /api/v1/software/azuredevops/repos/{id}
Get Azure Dev Ops Repo
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Responses: 200, 400, 401, 500
PATCH /api/v1/software/azuredevops/repos/{id}
Update Azure Dev Ops Repo
| Parameter | In | Required | Description |
|---|---|---|---|
id | path | yes | id identifier |
Request body: AzureDevOpsRepositoryUpdate
Responses: 200, 400, 401, 500
GET /api/v1/software/azuredevops/repos/{repo_id}/branches
List Azure Dev Ops Branches
| Parameter | In | Required | Description |
|---|---|---|---|
repo_id | path | yes | repo id identifier |
paginateFrom | query | no | Pagination offset (0-based) |
paginateSize | query | no | Items per page |
Responses: 200, 400, 401, 500